// --------------------------------------------------------------------------------

import 'package:json_annotation/json_annotation.dart';

part 'IR5EtabFDM.g.dart';

/** Etab aka Restaurant */
@JsonSerializable()
class IR5EtabFDM {
  /** Fiscal Data Module
   * X:NoFDMMode
   * D:DebugMode (internal Restomax mode)
   * b:BelgiumMode Demo
   * B:BelgiumMode
   */
  @JsonKey(defaultValue: '')
  final String FDMMode;
  @JsonKey(defaultValue: '')
  final String FDMInfo;
  @JsonKey(defaultValue: '')
  final String FDMVerInfo;
  @JsonKey(defaultValue: '')
  final String FDMApprovalNumber;

  const IR5EtabFDM({
    required this.FDMInfo,
    required this.FDMVerInfo,
    required this.FDMApprovalNumber,
    required this.FDMMode,
  });

  factory IR5EtabFDM.fromJson([Map<String, dynamic>? json]) => _$IR5EtabFDMFromJson(json ?? {});
  Map<String, dynamic> toJson() => _$IR5EtabFDMToJson(this);
}
