import 'package:json_annotation/json_annotation.dart';

part 'IRptResult.g.dart';

@JsonSerializable()
class IRptResult {
  @JsonKey(name: 'Data', defaultValue: [])
  final List<Map<String, dynamic>> data;
  @JsonKey(defaultValue: '')
  final String txtData;
  @JsonKey(name: 'MetaData')
  final dynamic metaData;
  @JsonKey(name: 'Info')
  final dynamic info;
  @JsonKey(name: 'SubData')
  final dynamic subdata;
  @JsonKey(name: 'fileUrl', defaultValue: '')
  final String fileUrl;
  @JsonKey(name: 'fileName', defaultValue: '')
  final String fileName;
  @JsonKey(name: 'etab')
  final dynamic etab;

  IRptResult({
    required this.data,
    required this.txtData,
    required this.metaData,
    required this.info,
    required this.fileUrl,
    required this.fileName,
    this.subdata,
    this.etab,
  });

  factory IRptResult.fromJson(Map<String, dynamic> json, [Map<String, dynamic>? source]) {
    source ??= {};
    json["txtData"] = (json["Data"] ?? source["Data"]) is String ? (json["Data"] ?? source["Data"] ?? '') as String : '';
    json["Data"] = (json["Data"] ?? source["Data"]) is String ? [] : (json["Data"] ?? source["Data"] ?? []) as List<dynamic>;
    return _$IRptResultFromJson({...source, ...json});
  }
  Map<String, dynamic> toJson() => _$IRptResultToJson(this);
}
